<?php
	require_once '../gtconstants.php';
    require_once '../JSON.php';
	require_once 'classes/theme.php';

	$args = ($_SERVER['REQUEST_METHOD'] == "POST") ? $_POST : $_GET;

    MgInitializeWebTier($CONFIG_FILE);

    $theme = new Theme($args);
    $json = new Services_JSON();
	$responseType = '';
	$response = '';
	
	if (array_key_exists('COMMAND', $args))
	{
		$cmd = $args['COMMAND'];
		switch ($cmd) {
			case "GETLAYERINFO":
				$responseType = 'text/plain';
			    $response = $json->encode($theme->GetLayerInfo());
				break;
			case "GETPROPERTYMINMAXCOUNT":
				$responseType = 'text/plain';
			    $response = $json->encode($theme->GetPropertyMinMaxCount());
				break;
			case "APPLYTHEME":
				$responseType = 'text/plain';
			    $response = $json->encode($theme->ApplyTheme());
//				$responseType = 'text/xml';
//			    $response = $theme->ApplyTheme();
				break;
		}
	}	

    header('Content-Type: ' . $responseType);
    echo $response;
?>