<?php
	require_once '../gtconstants.php';
    require_once '../JSON.php';
	require_once 'classes/query.php';

	$args = ($_SERVER['REQUEST_METHOD'] == "POST") ? $_POST : $_GET;

    MgInitializeWebTier($CONFIG_FILE);

    $query = new Query($args);
    $json = new Services_JSON();
	$responseType = '';
	$response = '';
	
	if (array_key_exists('COMMAND', $args))
	{
		$cmd = $args['COMMAND'];
		switch ($cmd) {
			case "GETLAYERPROPERTIES":
				$responseType = 'text/plain';
			    $response = $json->encode($query->GetLayerProperties());
				break;
			case "TOGGLESPATIALFILTER":
				$responseType = 'text/plain';
			    $response = $json->encode($query->ToggleSpatialFilter());
				break;
			case "SHOWSPATIALFILTER":
				$responseType = 'text/plain';
			    $response = $json->encode($query->ShowSpatialFilter());
				break;
			case "EXECUTEQUERY":
				$responseType = 'text/plain';
			    $response = $json->encode($query->Execute());
				break;
			case "GETSELECTIONXML":
				$responseType = 'text/xml';
			    $response = $query->GetSelectionXML();
				break;
		}
	}	

    header('Content-Type: ' . $responseType);
    echo $response;
?>